Bug 1121085 - Review Request: rubygem-pundit - Object oriented authorization for Rails
Summary: Review Request: rubygem-pundit - Object oriented authorization for Rails
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:33 UTC by Josef Stribny
Modified: 2016-01-04 05:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 10:08:38 UTC
valtri: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Josef Stribny 2014-07-18 10:33:46 UTC
Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-pundit.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-pundit-0.2.3-1.fc22.src.rpm
Description: Object oriented authorization for Rails applications.
Fedora Account System Username: jstribny

Comment 1 František Dvořák 2014-07-27 18:44:55 UTC
Hello,

I'm still a newbie in ruby packaging, but I'll try the review...

I've noticed the development files (Rakefile, Gemfile, ...) are in -doc subpackage. I guess this is up to packager, what to do with the files? Or is there any recommendation? Alternative ways are:
- %exclude them
- remove and patched them out in %prep

I guess nothing needs to be changed here. (In my package #1076976 I used the patching.)


Issues/notices:


1) the spec file is different from .src.rpm


2) W: macro-in-comment %check (line 58)
  --> But it is already fixed in the separate .spec file.


3) extra spaces at end of lines 13 and 25 :-)


4) * E: script-without-shebang /usr/share/gems/gems/pundit-0.2.3/lib/generators/pundit/policy/templates/policy.rb

I guess this file should not be executable?


Could you review swap for #1076976 rubygem-settingslogic?

Comment 2 Josef Stribny 2014-07-28 07:29:44 UTC
> I've noticed the development files (Rakefile, Gemfile, ...) are in -doc
> subpackage. I guess this is up to packager, what to do with the files? Or is
> there any recommendation?

This is tricky. As you say it's up to the packager which makes creating additional tooling quite a pain. I would actually like it to be a standard. What I do is that if upstream ships something in .gem, I include it as well (in -doc if it's not for runtime) expect for dot files. Your way is also completely ok for current guidelines.

> 1) the spec file is different from .src.rpm

I am sorry for that, the spec is newer.

> 2) W: macro-in-comment %check (line 58)

As you said, it's already fixed.

> 3) extra spaces at end of lines 13 and 25 :-)

Oh yes, we need to fix it soon in gem2rpm, Fixed.

> 4) * E: script-without-shebang /usr/share/gems/gems/pundit-0.2.3/lib/generators/pundit/policy/templates/policy.rb
> I guess this file should not be executable?

True, good catch, fixed.

> Could you review swap for #1076976 rubygem-settingslogic?

Sure thing!

Spec URL: http://data-strzibny.rhcloud.com/obs/rubygem-pundit.spec
SRPM URL: http://data-strzibny.rhcloud.com/obs/rubygem-pundit-0.2.3-2.fc22.src.rpm

Comment 3 František Dvořák 2014-07-28 12:41:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 9 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
     Owned transitionaly through rubygem-pundit -> ruby(rubygems).
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     In generated rdoc.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
     ruby -e "require 'pundit'" OK
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Test suite of the library should be run.
     It is OK here, a comment why it is not possible.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-pundit-0.2.3-2.fc22.noarch.rpm
          rubygem-pundit-doc-0.2.3-2.fc22.noarch.rpm
          rubygem-pundit-0.2.3-2.fc22.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-pundit rubygem-pundit-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-pundit (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(activesupport)

rubygem-pundit-doc (rpmlib, GLIBC filtered):
    rubygem-pundit



Provides
--------
rubygem-pundit:
    rubygem(pundit)
    rubygem-pundit

rubygem-pundit-doc:
    rubygem-pundit-doc



Source checksums
----------------
https://rubygems.org/gems/pundit-0.2.3.gem :
  CHECKSUM(SHA256) this package     : 42bf8e0445b3c244054827a340ccd1156de9e0469f8acefcee17f72ad8638335
  CHECKSUM(SHA256) upstream package : 42bf8e0445b3c244054827a340ccd1156de9e0469f8acefcee17f72ad8638335


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1121085
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


====

Package approved!

Comment 4 Josef Stribny 2014-07-29 05:35:39 UTC
New Package SCM Request
=======================
Package Name: rubygem-pundit
Short Description: Object oriented authorization for Rails
Upstream URL: https://github.com/elabs/pundit
Owners: jstribny
Branches: f20 f21
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-29 12:24:56 UTC
Git done (by process-git-requests).

Comment 6 Josef Stribny 2014-07-30 10:08:38 UTC
Thanks everyone, closing.


Note You need to log in before you can comment on or make changes to this bug.